%define upstream_name    Devel-Trepan
%define upstream_version 0.73

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A gdb-like debugger port of Ruby Trepan
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Array::Columnize) >= 1.40.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Callsite) >= 0.80.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(File::HomeDir) >= 0.540.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Module::Build) >= 0.421.100
BuildRequires: perl(PadWalker)
BuildRequires: perl(Pod::Text) >= 3.130.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Syntax::Highlight::Perl::Improved) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.810.0
BuildRequires: perl(Time::HiRes) >= 1.972.100
BuildRequires: perl(rlib) >= 0.20.0
BuildRequires: perl(version)
BuildArch:  noarch

%{?perl_default_filter}
# Exclude internal broken dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::Trepan::

%description
Invocation
    From a shell:

        $ trepan.pl [trepan-opts] -- perl-program [perl-program-opts]

    For out-of-process (and possibly out-of server) debugging:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc ChangeLog Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE THANKS example
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/trepan.pl

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.730.0-3pclos2017
- rebuild against updates

